Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007047TestLinkTest Plan - Add/Remove Test Casespublic2015-04-08 13:132016-09-08 15:13
Reportermaxveneziano 
Assigned Tofman 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007047: DB Access Error when inporting and adding test cases organized in different test suite
DescriptionNotified a DB Access Error when importing Test Cases in XML from first level folders with different TestSuite Subfolders
Steps To Reproduce1) Import test cases with the provided XML

2) TestLink reports the correct updating of some Test Cases already present at TestLink

3)
   a) After the Test case list refresh the Test acses loose the Test Progect prefix (i.g -76 testname instead of FL-76 Testname)
   b) clicking on any test Case it is shown
     DB Access Error - debug_print_backtrace() OUTPUT START
    ATTENTION: Enabling more debug info will produce path disclosure weakness (CWE-200) Having this additional Information could be useful for reporting
issue to development TEAM.
    c) exit from the Testlink session results in a complete loss of the DB and there is no way to select the Project in the upper right corner area.
BLOCKING
Additional InformationAlready checked mantis related Issue :
    0005915: Get DB Access Error when trying to add test cases
    0005372 closed fman Add 400 test cases to test plan at one time, only 242 cases are added

Applied the suggestion to
In php.ini I changed max_input_vars = 1000 to max_input_vars = 10000
 BUT WITHOUT ANY POSITIVE RESULTS

The xml used for import is available on request (nit ot possible for me insert in this mantis request because probably not supported multiple attachment)
TagsNo tags attached.
Database (MySQL,Postgres,etc) MySQL ver: 5.5.42 - Client 5.0.11-dev - 20120503
BrowserFirefox 36.0.4
PHP VersionPHP extension: mysqli Documentation version: 5.6.7
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filesdocx file icon TL DB Error Apr 2015.docx [^] (366,142 bytes) 2015-04-08 13:13
xml file icon FLASH - 1.25.6 - TC - Failure DP_8.xml [^] (33,888 bytes) 2015-04-08 15:27
xml file icon FLASH - 1.25.6 - REQ DP_8_Max.xml [^] (5,342 bytes) 2015-04-09 09:08
png file icon issue-7047-req.png [^] (54,456 bytes) 2015-04-09 17:01


png file icon issue-7047-test-spec-first-import.png [^] (75,566 bytes) 2015-04-09 17:04


xml file icon FLASH - 1.25.6 - REQ - DP_7.xml [^] (4,494 bytes) 2015-04-10 15:38
xml file icon FLASH - 1.25.6 - TC - wFailure DP_7.xml [^] (35,155 bytes) 2015-04-10 15:39
zip file icon lib.zip [^] (1,682,470 bytes) 2015-04-10 15:44
png file icon aa01.png [^] (16,712 bytes) 2015-04-23 21:25


png file icon bb01.png [^] (38,601 bytes) 2015-04-23 21:27

- Relationships

-  Notes
(0023053)
maxveneziano (reporter)
2015-04-08 15:28

Added the imported xml file that generates the DB problem/crash
(0023055)
fman (administrator)
2015-04-08 18:19

Dear user:
Please provide detailed steps to reproduce, starting from scratch, i.e.

1. create test project: ISSUE-7047
2. prefix U7047
3. import provided XML

and so on, unfortunately without this level of detail I'm not sure we are using same use case.
Is important to understand where you have launched import:
on an empty test project ? ( as I'm suggesting starting from scratch)
on a test project that already have same test suites & test cases ?

I've done a quick test and got warning message regarding requirements present on file but you do not mention that as part of set up, test project need to have requirement specs.
(0023057)
maxveneziano (reporter)
2015-04-09 09:25

Hi fman,
the issue appeared on a system already populated with Requirements and Test Cases organizad and grouped in different test suites.
I followed you suggestion creatign a project ISSUE-7047 on http://demo.testlink.org/ [^]
I tried to assign the Project prefix to FL (as in the original but it was already used).
Assigned "FM- " instead. Anyway Testlink.org it seems that assign to all project "#-xxx".

In order to reproduce the issue :
a) Imported the first version of Requirements xml organizaed in different test suite - Loaded successfully through Requirements - Import
b) Imported the first version of Test case xml organizaed in different test suite - Loaded successfully - through Test Case - Test Suite - Import
c) Imported the Requirements xml organizaed in different test suite - Loaded successfully (it was ok also in the buggy system) through Requirements - Import
d) Imported the Test Cases xml organizaed in different test suite - Loaded successfully - through Test Case - Test Suite - Import (This was the Test Case xml which generated the DB crash in the buggy system)

Please find in attachement the Requirements xml companion file of the TestCases xml that generated the crash.

Some doubt on the OS version (linux CentOs), MySQL or PHP version used on the buggy system (Testlink was last 1.9.13)

Same test as described above on a local Windows 7 OS based system were successfully
(0023058)
maxveneziano (reporter)
2015-04-09 09:47

CRASH PERSISTt in a Linux BITNAMI distribution TL 1.9.13.
Downloaded from teslink.org link -> https://bitnami.com/stack/testlink. [^]

Loaded on the Bitnami test installation the same working MySQL DB.
Loading the TC failure DP 8 xml to the bitami testlink installation the DB crashesh with the same warning and events already detailed in the attached word document.
(0023059)
maxveneziano (reporter)
2015-04-09 10:20

Copied the same My SQL DB of the CentOS and Bitnami systems (that both crashed) on a local Windows 7 system with TL 1.9.13 and performed the same import WITHOUT any problem.

Same cases reproduced on a TL 1.9.13 Win7 OS with same DB then works.

It seems a crash due to Linux implementation of TL.
(0023060)
fman (administrator)
2015-04-09 15:24

Thanks a lot for all the info.
I'm going to try to understand what is happening
(0023062)
fman (administrator)
2015-04-09 17:00
edited on: 2015-04-09 17:08

My test (using OSX with XAMPP 5.6.3-0)
1. create test project: ISSUE-7047, public & active, with req spec enabled
    prefix U7047

2. import requirements using provided XML file
    got structure displayed on image (issue-7047-req.png)

3. import test spec, using import test suite on test project without any test suite created
using provided XML file.
got structure displayed on image (issue-7047-test-spec-first-import.png)

from this point I'm stuck because I do not how to continue, your steps:
>>c) Imported the Requirements xml organizaed in different test suite -
>>Loaded successfully (it was ok also in the buggy system) through Requirements - Import
>>d) Imported the Test Cases xml organizaed in different test suite -
>> Loaded successfully - through Test Case - Test Suite -
>> Import (This was the Test Case xml which generated the DB crash in the buggy system)

are not clear for me.

will wait till you can provide me right directions

(0023066)
maxveneziano (reporter)
2015-04-10 16:32

The process at point c) and b) generated a DB crash on our Linux based system after importing the FLASH - 1.25.6 - TC - Failure DP_8.xml.
I remind you that the full process repeated on the Testlink.org web site was successfuls and without errors.

Anyway I've investigated more and the problem seems solved if a copy the testlink-1.9.13\lib directory to any Linix based system or Windows based system.
In attachment you can find the TC xml that still generates the crash and the zipped \lib folder that makes the systems working.

The \lib folder comes from my local Windows TestLink 1.9.13 installation (that was always working fine).

I suppose some troubles on the \lib of newer TestLink codes because also installing a fresh code (dated 20150409) from Gitoroius, the problem persists.

Definitely copying the \Lib folder on a Linux or Windows system, the import of the last attached TC xml file (before crashing), is now working.

The working Linux system is now as follows :
- OS CentOs
- TestLink 1.9.13 (with the copied \lib in attachment)
- MySQL 5.6.2.4
- Apache 2.2.15
- PHP 5.6.7
- phpMyAdmin 4.4.1.1
(0023068)
fman (administrator)
2015-04-10 21:07
edited on: 2015-04-10 21:08

Thanks for your analisys.
It can be sound silly, but still I'm not able to understand how to reproduce.
Changed done on latest week are related to test case import, regarding:
1- update of test case version that has been executed
2- generate duplicated test case names when import xml file contains several test cases with same name.

I'm going to try to do some reimport in order to understand if this produce the issue.
Only other option can be a short skype call that may be can clarify things

An important point anyway is that you were not using 1.9.13 as released but changes.
ATTENTION:
do not use code from GITORIOUS, but from GITHUB there is the latest code.

(0023084)
maxveneziano (reporter)
2015-04-14 12:56

Hi Francisco,
I followed your instructions and downloaded the last fresh version from GITHUB :
https://github.com/TestLinkOpenSourceTRMS/testlink-code [^]
I've installed such version (indicated as TestLink 1.9.14 [DEV] (Padawan)) and importing again the xml file icon FLASH - 1.25.6 - TC - wFailure DP_7.xml, the DB crash persisted.

I've also set in php.ini max_input_vars = 10000 and the DB crashed again with the same error messages already provided.

After several attempt over different installations I reached the following conclusions :
 a) The xml import works in my previous local installation (Windows - TL 1.9.13)
 b) The xml import works in my Linux server installation (TL 1.9.13) where I've copied the same \lib folder found under local windows system and TL dated 10 Dec 2014
 c) The xml import works in the Testlink.Org web server - take note that the main login screen reports 1.9.13 [DEV] (Stormbringer) 20141226 (Dec 26, 2014), before the official TL 1.9.13 release.
 d) The xml import DOESN'T works in the last BITNAMI distribution, neither on last Glitorius download, nor on the last GITHUB download (and named TestLink 1.9.14 [DEV] (Padawan).

Probably there is some issue related with the last TL revision that weren't in last December versions. This is connected to the import of test cases grouped under different Test Suite.
At this point I cannot proceed further with any update as soon the issue will be closed. Uunfortunately I've also some test campaign running and I cannot afford the risk to crash the complete DB and results.
Please keep me updated when a possible fix will be identified.
I'll support you in the validation test related to this issue.
  Thanks
    Massimo
(0023086)
fman (administrator)
2015-04-14 16:42

>> The xml import DOESN'T works in the last BITNAMI distribution
this is official 1.9.13

>> Probably there is some issue related with the last TL revision that weren't in >> last December versions. This is connected to the import of test cases grouped >> under different Test Suite.
Unfortunately we are using lot of time without been able to understand exact steps to reproduce.

then I've no option other that wait till exact steps to reproduce are provided
(0023088)
maxveneziano (reporter)
2015-04-15 11:09

Hi Francisco,
the steps and the defective version/date were detailed previously.
Anyway these are the simplified steps that generate the DB crash.

In order to reproduce the issue :
 a) Create the Project
 b) Import the Requirements xml (file FLASH - 1.25.6 - REQ - DP_7.xml) organizaed in different test suite
 c) Import the Test Cases xml (file FLASH - 1.25.6 - TC - wFailure DP_7.xml) organizaed in different test suite

After the step c) the DB crashes with warning and events already attached and reported.
I remind you that on the TestLink.org web site it works fine but the TL version is dated 26 Dec 2014 and not 7 February 2015 as the official 1.9.13 release.
The import works fine as well with a local TL version dated 10 Dec 2014

Please inform me when a specifc fix to this import will be ready or a new TL version (not the 1.9.14 that still shows DB crashes as reported).
As soon some update will be available. I'll check it specificly reporting the results.
(0023089)
fman (administrator)
2015-04-15 11:18
edited on: 2015-04-15 11:18

can we have short skype call it will be better
send me you contact to francisco.mancardi@gmail.com
or if you are in Italy (as I guess) provide me a phone or cel number (I live in Italy)

(0023120)
fman (administrator)
2015-04-20 18:32

I've just checked using latest code from github, I'm unable to reproduce.
All test I did is:
a) Create the Project
 b) Import the Requirements xml (file FLASH - 1.25.6 - REQ - DP_7.xml) organizaed in different test suite
 c) Import the Test Cases xml (file FLASH - 1.25.6 - TC - wFailure DP_7.xml) organizaed in different test suite

then access to test cases, get no issue
(0023134)
pbobbitt (reporter)
2015-04-23 16:32

I am getting the same error message. It happens to me when I try to import test cases into a test suite that has duplicate test cases in it. Here are my steps:
1. create project
2. create test suite
3. import in test cases via xml
4. import test cases again choosing the "update data on latest version" option.
This generates the error. I am using the latest Bitnami Linux build (TestLink 1.9.13 (Stormbringer)) using VirtualBox on a Windows PC. I can provide screen shots and files if this helps. I need to know how to recover my lost tests. The system is currently unusable.
(0023137)
fman (administrator)
2015-04-23 20:24

@pbobbit: thanks for your additional information.
>> I need to know how to recover my lost tests.
no way if you do not have a backup.
(0023140)
fman (administrator)
2015-04-23 21:06

You need DB backups always as for any other system.
As happens with any other system TestLink is not free of errors (unfortunately).
Have no special procedures or ideas or guidelines.

If you will adopt TestLink as your tool, think about supporting this work, buying support or donating
(0023141)
fman (administrator)
2015-04-23 21:25
edited on: 2015-04-23 21:28

Again
a) Create the Project
b) Import the Requirements xml (file FLASH - 1.25.6 - REQ - DP_7.xml)
c) Import the Test Cases xml (file FLASH - 1.25.6 - TC - wFailure DP_7.xml)
    using IMPORT AT TEST PROJECT LEVEL (see aa01.png)

d) repeat step c) selecting import options as depicted on image bb01.png
No issue
Test was done using latest code from github (branch testlink_1_9)

(0025270)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2015-04-08 13:13 maxveneziano New Issue
2015-04-08 13:13 maxveneziano File Added: TL DB Error Apr 2015.docx
2015-04-08 15:27 maxveneziano File Added: FLASH - 1.25.6 - TC - Failure DP_8.xml
2015-04-08 15:28 maxveneziano Note Added: 0023053
2015-04-08 18:19 fman Note Added: 0023055
2015-04-08 18:20 fman Assigned To => fman
2015-04-08 18:20 fman Status new => feedback
2015-04-09 09:08 maxveneziano File Added: FLASH - 1.25.6 - REQ DP_8_Max.xml
2015-04-09 09:25 maxveneziano Note Added: 0023057
2015-04-09 09:25 maxveneziano Status feedback => assigned
2015-04-09 09:47 maxveneziano Note Added: 0023058
2015-04-09 10:20 maxveneziano Note Added: 0023059
2015-04-09 15:24 fman Note Added: 0023060
2015-04-09 17:00 fman Note Added: 0023062
2015-04-09 17:01 fman File Added: issue-7047-req.png
2015-04-09 17:01 fman Note Edited: 0023062 View Revisions
2015-04-09 17:02 fman Note Edited: 0023062 View Revisions
2015-04-09 17:04 fman File Added: issue-7047-test-spec-first-import.png
2015-04-09 17:06 fman Note View State: 0023062: public
2015-04-09 17:08 fman Note Edited: 0023062 View Revisions
2015-04-10 15:38 maxveneziano File Added: FLASH - 1.25.6 - REQ - DP_7.xml
2015-04-10 15:39 maxveneziano File Added: FLASH - 1.25.6 - TC - wFailure DP_7.xml
2015-04-10 15:44 maxveneziano File Added: lib.zip
2015-04-10 16:32 maxveneziano Note Added: 0023066
2015-04-10 21:07 fman Note Added: 0023068
2015-04-10 21:08 fman Note Edited: 0023068 View Revisions
2015-04-14 12:56 maxveneziano Note Added: 0023084
2015-04-14 16:42 fman Note Added: 0023086
2015-04-15 11:09 maxveneziano Note Added: 0023088
2015-04-15 11:18 fman Note Added: 0023089
2015-04-15 11:18 fman Note Edited: 0023089 View Revisions
2015-04-20 18:32 fman Note Added: 0023120
2015-04-23 16:32 pbobbitt Note Added: 0023134
2015-04-23 20:24 fman Note Added: 0023137
2015-04-23 21:06 fman Note Added: 0023140
2015-04-23 21:25 fman Note Added: 0023141
2015-04-23 21:25 fman File Added: aa01.png
2015-04-23 21:27 fman File Added: bb01.png
2015-04-23 21:28 fman Note Edited: 0023141 View Revisions
2016-03-21 09:18 fman QA Team - Task Workflow Status => TBD
2016-03-21 09:18 fman Status assigned => resolved
2016-03-21 09:18 fman Fixed in Version => 1.9.14 (2015 Q3)
2016-03-21 09:18 fman Resolution open => fixed
2016-09-08 15:13 fman Note Added: 0025270
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker